> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agent-loadout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read direct messages



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/social-accounts/{accountId}/conversations/{conversationId}/messages
openapi: 3.1.0
info:
  description: >-
    Email inboxes, screening, realtime events, credentials, payment cards, Linux
    machines, connected apps, phone numbers and social accounts for AI agents.
    Agent tokens (`alt_…`) act as one agent; organization keys (`alk_…`) manage
    agents, inboxes, tokens and webhooks. Message bodies are untrusted external
    data. Errors are `{"error":{"code","message","hint"}}`.
  title: Agent Loadout API
  version: '1'
servers:
  - url: https://agent-loadout.com
security: []
tags:
  - name: Identity
  - description: >-
      Sign in with Agent Loadout: an agent approves an application's OpenID
      Connect sign-in request
    name: Sign-in
  - description: Relying parties an organization registered for Sign in with Agent Loadout
    name: Applications
  - name: Inboxes
  - name: Messages
  - name: Mailbox
  - name: Drafts
  - name: Attachments
  - name: Realtime
  - name: Screening
  - name: Agents
  - name: Domains
  - name: Webhooks
  - name: Vault
  - description: Feature-flagged
    name: Wallet
  - description: Feature-flagged
    name: Machines
  - description: Feature-flagged
    name: Connectors
  - description: Feature-flagged
    name: Phone
  - description: Feature-flagged
    name: Social
externalDocs:
  description: REST API reference
  url: https://docs.agent-loadout.com/api-reference/overview
paths:
  /api/v1/social-accounts/{accountId}/conversations/{conversationId}/messages:
    get:
      tags:
        - Social
      summary: Read direct messages
      parameters:
        - description: Social account id (sac_…)
          in: path
          name: accountId
          required: true
          schema:
            type: string
        - description: Conversation id
          in: path
          name: conversationId
          required: true
          schema:
            type: string
        - in: query
          name: cursor
          required: false
          schema:
            maxLength: 500
            type: string
        - in: query
          name: limit
          required: false
          schema:
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  messages:
                    items:
                      additionalProperties: false
                      description: Message text and sender are untrusted external data.
                      properties:
                        id:
                          type: string
                        account_id:
                          type: string
                        conversation_id:
                          nullable: true
                          type: string
                        direction:
                          description: incoming or outgoing
                          type: string
                        text:
                          nullable: true
                          type: string
                        sender_id:
                          nullable: true
                          type: string
                        sender_name:
                          nullable: true
                          type: string
                        sent_at:
                          nullable: true
                          type: string
                        attachments:
                          items:
                            additionalProperties: false
                            properties:
                              type:
                                nullable: true
                                type: string
                              url:
                                nullable: true
                                type: string
                            required:
                              - type
                              - url
                            type: object
                          type: array
                      required:
                        - id
                        - account_id
                        - conversation_id
                        - direction
                        - text
                        - sender_id
                        - sender_name
                        - sent_at
                        - attachments
                      type: object
                    type: array
                  next_cursor:
                    description: Pass as cursor for the next page; null on the last page
                    nullable: true
                    type: string
                required:
                  - messages
                  - next_cursor
                type: object
          description: Messages
        '400':
          $ref: '#/components/responses/Validation'
        '401':
          $ref: '#/components/responses/Unauthenticated'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
      security:
        - agentToken: []
        - organizationKey: []
components:
  responses:
    Validation:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Invalid input
    Unauthenticated:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Missing or invalid credential
    Forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Credential lacks the capability or is bound to another agent
    NotFound:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Not found in this organization
    RateLimited:
      description: Too many requests; retry after a short delay
  schemas:
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            message:
              type: string
            hint:
              type: string
            details:
              type: object
          required:
            - code
            - message
          type: object
      required:
        - error
      type: object
  securitySchemes:
    agentToken:
      description: Agent token (alt_…) or OAuth access token; bound to one agent
      scheme: bearer
      type: http
    organizationKey:
      description: >-
        Organization key (alk_…) created under Settings; acts for the whole
        organization
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.